### Method

# Ide TextEdit to_variant

#### Declaration

    GVariant*
    ide_text_edit_to_variant (
      IdeTextEdit* self
    )

#### Description

Creates a `GVariant` to represent a text_edit.

This function will never return a floating variant.

Available since: | 3.32

#### Return value

Returns: | `GVariant`
| A `GVariant`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.